CREATE TABLE hey_user_registration (
    USER_REGISTRATION_ID            NUMBER(18, 0) ,
    PARTY_ID                        NUMBER(18, 0)     NOT NULL,
    USERNAME                        VARCHAR2(400)     NOT NULL,
    REGISTRATION_STATUS_CODE        VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CART_HEADER_ID                  NUMBER(18, 0) ,
    STOREFRONT_ID                   NUMBER(18, 0) ,
    SINGLE_NAME_FLAG                VARCHAR2(4)   ,
    PERSON_FIRST_NAME               VARCHAR2(600) ,
    PERSON_MIDDLE_NAME              VARCHAR2(240) ,
    PERSON_LAST_NAME                VARCHAR2(600) ,
    PERSON_NAME_SUFFIX              VARCHAR2(120) ,
    EMAIL_ADDRESS                   VARCHAR2(1280),
    EMAIL_ADDRESS_LDAP              VARCHAR2(1280),
    DATE_OF_BIRTH                   DATE          ,
    RELATED_PERSON_PARTY_ID         NUMBER(18, 0) ,
    RELATED_PERSON_EMAIL_ADDRESS    VARCHAR2(1280),
    PROXY_GROUP_ID                  NUMBER(18, 0) ,
    RELATIONSHIP_TYPE               VARCHAR2(120) ,
    RELATIONSHIP_CODE               VARCHAR2(120) ,
    APPROVAL_STATUS_CODE            VARCHAR2(120) ,
    USER_REGISTRATION_ID            NUMBER(18, 0) ,
    PARTY_ID                        NUMBER(18, 0)     NOT NULL,
    USERNAME                        VARCHAR2(400)     NOT NULL,
    REGISTRATION_STATUS_CODE        VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CART_HEADER_ID                  NUMBER(18, 0) ,
    STOREFRONT_ID                   NUMBER(18, 0) ,
    SINGLE_NAME_FLAG                VARCHAR2(4)   ,
    PERSON_FIRST_NAME               VARCHAR2(600) ,
    PERSON_MIDDLE_NAME              VARCHAR2(240) ,
    PERSON_LAST_NAME                VARCHAR2(600) ,
    PERSON_NAME_SUFFIX              VARCHAR2(120) ,
    EMAIL_ADDRESS                   VARCHAR2(1280),
    EMAIL_ADDRESS_LDAP              VARCHAR2(1280),
    DATE_OF_BIRTH                   DATE          ,
    RELATED_PERSON_PARTY_ID         NUMBER(18, 0) ,
    RELATED_PERSON_EMAIL_ADDRESS    VARCHAR2(1280),
    RELATIONSHIP_TYPE               VARCHAR2(120) ,
    RELATIONSHIP_CODE               VARCHAR2(120) ,
    APPROVAL_STATUS_CODE            VARCHAR2(120) ,
    PROXY_GROUP_ID                  NUMBER(18, 0) ,
    CONSTRAINT pk_hey_user_registration PRIMARY KEY (USER_REGISTRATION_ID, USER_REGISTRATION_ID)
);
